KGDB_ROUNDUP_CPUS(9)

NAME
kgdb_roundup_cpus - Get other CPUs into a holding pattern

SYNOPSIS

void kgdb_roundup_cpus(unsigned long flags);

ARGUMENTS

flags
    Current IRQ state

DESCRIPTION

On SMP systems, we need to get the attention of the other CPUs and get them into a known state. This should do what is needed to get the other CPUs to call kgdb_wait. Note that on some arches, the NMI approach is not used for rounding up all the CPUs. For example, in case of MIPS, smp_call_function is used to roundup CPUs. In this case, we have to make sure that interrupts are enabled before calling smp_call_function. The argument to this function is the flags that will be used when restoring the interrupts. There is local_irq_save call before kgdb_roundup_cpus.

On non-SMP systems, this is not called.

AUTHOR

Jason Wessel <jason.wessel@windriver.com>
    Author.

COPYRIGHT